Eclipse Draw2d 3.7

## org.eclipse.draw2d.text
Class BidiInfo

    java.lang.Object
      org.eclipse.draw2d.text.BidiInfo

    public class BidiInfo

extends Object

This class is for INTERNAL use only.

Since:
  3.1

Field Summary
`boolean` `leadingJoiner` Indicates if the ZWJ character needs to be prepended to text being rendered.
`int[]` `levelInfo` Odd-sized array consisting of bidi levels, interleaved with the offsets at which levels change.
`boolean` `trailingJoiner` Indicates if the ZRJ character needs to be appended to the text being rendered..

Constructor Summary
`BidiInfo()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### levelInfo

    public int[] levelInfo

  Odd-sized array consisting of bidi levels, interleaved with the offsets at which levels change.

### leadingJoiner

    public boolean leadingJoiner

  Indicates if the ZWJ character needs to be prepended to text being rendered.

### trailingJoiner

    public boolean trailingJoiner

  Indicates if the ZRJ character needs to be appended to the text being rendered..

Constructor Detail

### BidiInfo

    public BidiInfo()

Eclipse Draw2d 3.7

Copyright (c) IBM Corp. and others 2000, 2011. All Rights Reserved.